Back to Zing Documentation Home

Download and Install Zing

Starting with ZVM 19.07.0.0 the Zing Virtual Machine (ZVM) installs and executes without the Zing System Tools (ZST) component. Follow the instructions in Download and Install Zing Virtual Machine to install the Zing Virtual Machine in the default mode.

Download and Install Zing Virtual Machine

Be sure your system meets the following system requirements:

  • RHEL/CentOS 7.3 (or later)
  • Ubuntu 16.04 (or later)
  • SLES 12 SP3 (or later)
  • Debian 9 (or later)
  • Amazon Linux 1, 2

The Zing Virtual Machine (ZVM) can be downloaded to your system either from the Zing repository or from the FTP server. To download and install the ZVM from the Zing repository, proceed with the instructions described in http://docs.azul.com/zing/zing-quick-start.htm that suit your target environment.

If you contacted [email protected] and obtained the credentials to download the ZVM installation package from https://www.azul.com/software-downloads-and-documents/, perform the following steps:

1. Download the ZVM installation package from https://www.azul.com/software-downloads-and-documents/.

2. Run the appropriate operating system installation command.

Zing Package System Command to Install Package
zing<zvm_version>-jdk<version>.sh Any ./zing<zvm_version>-jdk<version>.sh
zing<zvm_version>-jdk<version>.tar.gz Any tar xzvf zing<zvm_version>-jdk<version>.tar.gz
zing<zvm_version>-jdk<version>.rpm

RHEL

CentOS

Oracle Linux

Amazon Linux

sudo yum localinstall –-nogpgcheck ./zing<zvm_version>-jdk<version>.rpm

zing<zvm_version>-jdk<version>.rpm SLES

sudo zypper install ./zing<zvm_version>-jdk<version>.rpm

zing<zvm_version>-jdk<version>.deb

Ubuntu

Debian

sudo dpkg -i ./zing<zvm_version>-jdk<version>.deb

Note

If your system does not meet the system requirements, the Zing Virtual Machine prints out the following message:

Zing VM Error: Running without ZST requires memfd_create(2), which is not supported by this version of the operating system.

Zing VM Error: See documentation for more details.

This error message displays for older operating systems that need the Zing ZST component in addition to the ZVM.

 

 

See Also


© Azul Systems, Inc. 2020 All rights reserved.

Privacy Policy | Legal | Terms of Use